# Get order by ID This endpoint allows consulting all information on an order using the ID obtained in the response to its creation. In case of success, the request will return a response with status 200. **GET** `/v1/orders/{order_id}` ## Request parameters ### Header - `Authorization` (string, required) Access token to authenticate the request. For more information, see the [Authentication](https://www.mercadopago.com/developers/en/docs/your-integrations/credentials) documentation. ### Path - `order_id` (string, required) ID of the order. This value is returned in the response to the 'Create order' ("/v1/orders") request. ## Response parameters - `id` (string, optional) Identifier of the order created in the request, automatically generated by Mercado Pago. - `type` (string, optional) - `processing_mode` (string, optional) Order processing mode. For payments with Checkout Pro, the only possible value is "manual". Possible enum values: - `manual` Order's processing will be made manually. This mode is used by Checkout Pro, allowing the order to be processed later through its payment flow. - `status` (string, optional) Current status of the order. Possible enum values: - `created` The order has been created successfully. - `processed` All transactions have been successfully processed. - `action_required` Integrator action is required to complete processing. For example, the capture of an authorized payment. - `processing` The order is being processed and does not require any action from the integrator. For example, the payment may be pending manual review. - `failed` An error occurred in the processing of the order. It may be due to sending incorrect data, risk of fraud, or rejections by the issuing entity of the payment method. - `refunded` The order has been refunded. - `canceled` The order has been canceled. - `expired` The order expired without payment. - `charged_back` A chargeback has been applied to the order. - `status_detail` (string, optional) Details about payment status. Possible enum values: - `created` The order has been created successfully. - `accredited` Payment accredited. - `refunded` The payment has been refunded. - `partially_refunded` The payment has been partially refunded. - `waiting_payment` Offline payment has been initiated but is not yet complete. The buyer must go to a physical location and finalize the transaction in person. - `bad_filled_card_data` An error occurred in the processing due to sending incorrect card data. - `invalid_card_token` An error occurred in the processing due to sending an incorrect card token. - `high_risk` The transaction was rejected due to fraud prevention. - `rejected_by_issuer` Transaction rejected by the card issuer. - `required_call_for_authorize` Transaction rejected — requires authorization call to the issuer. - `max_attempts_exceeded` The transaction was rejected for exceeding the maximum number of attempts to complete it. - `card_disabled` The card chosen for the transaction is disabled. - `card_insufficient_amount` The card chosen for the transaction does not have enough funds. - `amount_limit_exceeded` The transaction amount exceeds the card limit. - `invalid_installments` The installments amount selected when creating the transaction is invalid. - `processing_error` There was an error during processing. - `pending_review_manual` The payment is pending manual review. - `in_process` When the "status=processing", the payment is being processed. When "status=charged_back", the chargeback is being processed. - `canceled` The order has been canceled. - `external_reference` (string, optional) It is an external reference of the order. It can be, for example, a hashcode from the Central Bank, functioning as an identifier of the transaction origin. This field must have a maximum of 64 characters and can only be numbers, letters, hyphens (-) and underscores (_). Special characters ([ ], (), '', @) are not allowed. - `total_amount` (string, optional) Total amount to be paid. Must equal the sum of all items[].unit_price multiplied by items[].quantity values. The field can contain two decimal places or none. - `total_paid_amount` (string, optional) Total amount to be paid, represents the sum of all the transaction's "paid_amount" values. - `marketplace_fee` (string, optional) Fee collected by the marketplace. This is the amount that will be charged to the seller and credited to the marketplace's account. Must not exceed the total_amount value. The field can contain two decimal places or none. - `capture_mode` (string, optional) Order capture mode. For Checkout Pro online flows, the value is always "automatic_async", meaning the order may go through an intermediate state before being approved or rejected. Possible enum values: - `automatic` Order's capture will be made automatically. Authorize and capture values at the same time. - `automatic_async` The order can be processed asynchronously. - `country_code` (string, optional) Identifier of the site (country) to which the Mercado Pago application that created the order belongs. - `user_id` (string, optional) Identifier of the user to which the Mercado Pago application that created the order belongs. It is the person that will receive the payment. - `description` (string, optional) Description of the purchased product or service, the reason for the payment order, or the description of a product in the marketplace. - `expiration_time` (string, optional) Order availability duration in ISO 8601 duration format. When provided, takes precedence over the default TTL. When omitted, the default applies: 24 hours in production or 1 hour in sandbox for orders in "created" status. Orders in any other status remain available for 1 year. - `client_token` (string, optional) Authentication token to render the Checkout Pro UI on the client side. It is a short-lived JWT generated for this order. - `created_date` (string, optional) Order's creation date, in "yyyy-MM-ddTHH:mm:ss.sssZ" format. - `last_updated_date` (string, optional) Order's last update date, in "yyyy-MM-ddTHH:mm:ss.sssZ" format. - `checkout_available_at` (string, optional) Duration in ISO 8601 format indicating when the checkout will be available. - `currency` (string, optional) Identifier of the currency used in the order. - `payer` (object, optional) Information about the payer. - `payer.customer_id` (string, optional) Identifier of the customer associated with the order. - `payer.email` (string, optional) Email of the payer. Only exposed by this endpoint; the search endpoint (`GET /v1/orders`) always strips this field. - `integration_data` (object, optional) Additional information that can be used to integrate with other systems, such as the identifier of the order in the integrator's system. - `integration_data.application_id` (string, optional) Identifier of the Mercado Pago application that created the order. - `integration_data.integrator_id` (string, optional) Identifier of the integrator in Mercado Pago. It is the unique identifier of the integrator in Mercado Pago's systems. - `integration_data.platform_id` (string, optional) Identifier of the platform in Mercado Pago. It is the unique identifier of the platform in Mercado Pago's systems. - `integration_data.sponsor` (object, optional) Identifier of the sponsor in Mercado Pago. It is the unique identifier of the sponsor in Mercado Pago's systems. - `integration_data.sponsor.id` (string, optional) Identifier of the sponsor in Mercado Pago. It is the unique identifier of the sponsor in Mercado Pago's systems. - `transactions` (object, optional) Contains information about the transactions associated with the order. - `transactions.payments` (array, optional) Contains information about the payment associated with the order. - `transactions.payments[].id` (string, optional) Identifier of the payment transaction created in the request, automatically generated by Mercado Pago. - `transactions.payments[].amount` (string, optional) Payment amount. - `transactions.payments[].paid_amount` (string, optional) Transaction paid amount. Represents the real amount paid including discounts or tips. - `transactions.payments[].status` (string, optional) Payment status. Possible enum values: - `created` The transaction has been created successfully. - `processed` The payment has been successfully processed. - `action_required` Integrator action is required to complete processing. For example, the capture of an authorized payment. - `canceled` The payment has been canceled and cannot be processed. - `failed` An error occurred in the processing of the payment. It may be due to sending incorrect data, risk of fraud, or rejections by the issuing entity of the payment method. - `processing` The payment is being processed and does not require any action from the integrator. For example, the payment may be pending manual review. - `charged_back` A chargeback was filed and the payment is being contested. - `refunded` The payment has been refunded. - `transactions.payments[].status_detail` (string, optional) Details about payment status. Possible enum values: - `accredited` Payment accredited. - `partially_refunded` The payment has been partially refunded. - `waiting_payment` Offline payment has been initiated but is not yet complete. The buyer must go to a physical location and finalize the transaction in person. - `bad_filled_card_data` An error occurred in the processing due to sending incorrect card data. - `invalid_card_token` An error occurred in the processing due to sending an incorrect card token. - `high_risk` The transaction was rejected due to fraud prevention. - `rejected_by_issuer` Transaction rejected by the card issuer. - `required_call_for_authorize` Transaction rejected — requires authorization call to the issuer. - `max_attempts_exceeded` The transaction was rejected for exceeding the maximum number of attempts to complete it. - `card_disabled` The card chosen for the transaction is disabled. - `card_insufficient_amount` The card chosen for the transaction does not have enough funds. - `amount_limit_exceeded` The transaction amount exceeds the card limit. - `processing_error` There was an error during processing. - `invalid_installments` The installments amount selected when creating the transaction is invalid. - `pending_review_manual` The payment is pending manual review. - `in_process` When the "status=processing", the payment is being processed. When "status=charged_back", the chargeback is being processed. - `canceled_transaction` The transaction has been canceled. - `settled` If "status=charged_back", an agreement was reached and the chargeback process has been completed. - `reimbursed` The transaction amount has been returned. - `refunded` The payment has been refunded. - `transactions.payments[].confirmed_amount` (string, optional) Confirmed (captured) amount. Omitted when not provided. - `transactions.payments[].expiration_time` (string, optional) Duration in ISO 8601 format (e.g. 'P1D' for 1 day, 'PT1H' for 1 hour). - `transactions.payments[].date_of_expiration` (string, optional) Date and time of the expiration of the payment. It is returned in the response to the 'Create order' ("/v1/orders") request. If an "expiration_time" is not sent, this field adopts a default value that depends on the payment method. - `transactions.payments[].provider` (string, optional) Payment provider identifier. - `transactions.payments[].authorization_code` (string, optional) Authorization code returned by the card network after payment approval. - `transactions.payments[].reference_id` (string, optional) Reference ID of the transaction. - `transactions.payments[].installment_amount` (string, optional) Amount per installment. - `transactions.payments[].payment_method` (object, optional) Information about the payment method. Access the endpoint "/v1/payment_methods" to check all available payment methods and get a list with the details of each one and their properties. - `transactions.payments[].payment_method.id` (string, optional) Identifier of the payment method selected to make the payment. If it's a card payment, it will show the brand. - `transactions.payments[].payment_method.type` (string, optional) Type of payment method selected to make the payment. - `transactions.payments[].payment_method.token` (string, optional) Token that identifies the card and contains its data securely. Only required for "card" payments. It has a minimum length of 32 characters, and a maximum length of 33. If you don't know how to generate it, go to the "card" payment configuration in the Checkout API documentation. - `transactions.payments[].payment_method.installments` (integer, optional) Number of installments selected. - `transactions.payments[].payment_method.statement_descriptor` (string, optional) Text shown on the buyer's credit card statement. Approximately 10 characters maximum depending on the card issuer. - `transactions.payments[].payment_method.ticket_url` (string, optional) Ticket URL. - `transactions.payments[].payment_method.barcode_content` (string, optional) Barcode content. - `transactions.payments[].payment_method.reference` (string, optional) Reference number. - `transactions.payments[].payment_method.verification_code` (string, optional) Verification code. - `transactions.payments[].payment_method.financial_institution` (string, optional) Financial institution. It is returned for payment methods such as - `transactions.payments[].payment_method.digitable_line` (string, optional) Digitable line. It is returned for the payment method "boleto". - `transactions.payments[].payment_method.qr_code` (string, optional) QR code. It is returned for payment method "Pix". - `transactions.payments[].payment_method.qr_code_base64` (string, optional) QR code in base64. It is returned for payment method "Pix". - `transactions.payments[].payment_method.e2e_id` (string, optional) Unique and mandatory code generated for each "Pix" transaction, serving as a tracking proof that identifies the operation from start to end (end-to-end). - `transactions.chargebacks` (array, optional) Contains information about the chargebacks associated with the order. - `transactions.chargebacks[].id` (string, optional) Identifier of the chargeback transaction, automatically generated by Mercado Pago. - `transactions.chargebacks[].transaction_id` (string, optional) Identifier of the payment transaction associated with the chargeback, automatically generated by Mercado Pago. - `transactions.chargebacks[].case_id` (string, optional) Identifier of the chargeback case. - `transactions.chargebacks[].status` (string, optional) Status of the chargeback. Possible enum values: - `in_process` The chargeback is in process. - `settled` The chargeback has been settled. - `reimbursed` The chargeback has been reimbursed. - `transactions.chargebacks[].references` (array, optional) - `transactions.refunds` (array, optional) Refunds issued on this order. - `transactions.refunds[].id` (string, optional) Identifier of the refunded order transaction created in the request, automatically generated by Mercado Pago. - `transactions.refunds[].transaction_id` (string, optional) Identifier of the transaction associated with the refund. - `transactions.refunds[].reference_id` (string, optional) Internal reference ID for the refund. - `transactions.refunds[].amount` (string, optional) Refunded amount. - `transactions.refunds[].status` (string, optional) Refund status. - `items` (array, optional) Information about the list of items to be paid. Multiple items are supported. The "total_amount" must equal the sum of "unit_price" multiplied by "quantity" across all items. - `items[].external_code` (string, optional) Item external code. The character limit is 30. - `items[].title` (string, optional) Item name. Displayed in the Checkout Pro flow. The character limit is 256. - `items[].description` (string, optional) Purchased item description. The character limit is 256. - `items[].category_id` (string, optional) Item category ID. Used by the fraud prevention system. - `items[].picture_url` (string, optional) Image URL corresponding to the item. Must be publicly accessible. - `items[].quantity` (integer, optional) Purchased items quantity. The minimum value is 1. - `items[].unit_price` (string, optional) Unit price of the purchased item. It can contain two decimal places or none. - `items[].type` (string, optional) Item type for vertical industry purposes. - `items[].warranty` (boolean, optional) If the item has a warranty. - `items[].event_date` (string, optional) Date of the event associated with the item (ISO 8601). Used for travel and event industry verticals. - `config` (object, optional) Order configuration as set at creation. - `config.online` (object, optional) - `config.online.callback_url` (string, optional) URL the buyer is redirected to after completing or abandoning the Checkout Pro flow. - `config.online.success_url` (string, optional) Redirect URL after a successful payment. The buyer is automatically redirected here once the payment is approved. Required when auto_return is set. - `config.online.failure_url` (string, optional) Return URL when the payment is rejected or canceled. - `config.online.pending_url` (string, optional) Return URL when the payment is pending (e.g., boleto generated). - `config.online.available_from` (string, optional) Date and time from which the order is available for payment (ISO 8601). - `config.online.auto_return` (string, optional) Controls the automatic redirect behavior after payment. Use "approved" to redirect to "success_url" only when the payment is approved. Use "all" to redirect on any outcome. When using "auto_return", "success_url" must be defined. - `config.online.retries` (object, optional) Retry configuration for payment attempts. Only allowed when "processing_mode" is "manual". - `config.online.retries.allowed` (boolean, optional) Whether automatic payment retry is enabled. - `config.payment_method` (object, optional) Payment method constraints configured at creation. Returns an empty object when no restrictions were set. - `config.payment_method.max_installments` (integer, optional) Maximum number of installments accepted. Value between 1 and 36. - `config.payment_method.not_allowed_ids` (array, optional) List of card brand IDs to block in the checkout. To retrieve all available IDs, make a request to GET /v1/payment_methods. - `config.payment_method.not_allowed_types` (array, optional) List of payment method types to block in the checkout. To retrieve all available types, make a request to GET /v1/payment_methods and use the "payment_type_id" field. In the Orders API, use "digital_currency" instead of "digital_wallet". - `config.payment_method.default_type` (string, optional) Default payment method type. - `config.payment_method.installments_cost` (string, optional) Responsible for the installments cost. Possible values: "seller" or "buyer". - `config.payment_method.installments` (object, optional) Installments configuration. - `config.payment_method.installments.interest_free` (object, optional) Interest-free installments configuration. - `config.payment_method.installments.interest_free.type` (string, optional) Type of interest-free installments. Possible values: "range" or "list". Possible enum values: - `range` Installments are defined as a continuous range. All installments between the minimum and maximum values will be offered interest-free. The range must always start at 1. - `list` Only one specific installment is configured interest-free. Accepts only one value. - `none` No interest-free installments configured. - `config.payment_method.installments.interest_free.values` (array, optional) Available interest-free installment values. - `config.payment_method.installments.available` (object, optional) Available installments configuration. - `config.payment_method.installments.available.type` (string, optional) Type of available installments. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | invalid_path_param | The order_id provided in the request path is not correct. Please confirm it and provide a valid ID to try again. | | 401 | 401 | The value sent as Access Token is incorrect. Please check and try again with the correct value. | | 401 | invalid_credentials | There is no support for test credentials. Use test users with production credentials for the sandbox environment and your production credentials for the production environment. | | 404 | order_not_found | Order not found. Please check if you provided the correct order ID. | | 500 | internal_error | Generic error. Please try submitting the request again. | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/v1/orders/{order_id}' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "id": "ORD01J49MMW3SSBK5PSV3DFR32959", "type": "online", "processing_mode": "manual", "status": "created", "status_detail": "accredited", "external_reference": "ext_ref_1234", "total_amount": "50.00", "total_paid_amount": "50.00", "marketplace_fee": "11.20", "capture_mode": "automatic_async", "country_code": "PE", "user_id": "12345", "description": "Smartphone", "expiration_time": "P1D", "client_token": "eyJhbGciOiJSUzI1NiIs...", "created_date": "2024-08-26T13:06:51.045317772Z", "last_updated_date": "2024-08-26T13:06:51.045317772Z", "checkout_available_at": "P3Y6M4DT12H30M5S", "currency": "PEN", "payer": { "customer_id": "string", "email": "user@example.com" }, "integration_data": { "application_id": "8772548647196351", "integrator_id": "dev_123", "platform_id": "1234567890", "sponsor": { "id": "446566691" } }, "transactions": { "payments": [ { "id": "PAY01J67CQQH5904WDBVZEM4JMEP3", "amount": "1000.00", "paid_amount": "1000.00", "status": "processed", "status_detail": "accredited", "confirmed_amount": "100.00", "expiration_time": "P1D", "date_of_expiration": "2023-03-01T10:00:00.000-04:00", "provider": "string", "authorization_code": "string", "reference_id": "01JEVQM899NWSQC4FYWWW7KTF9", "installment_amount": "100.00", "payment_method": { "id": null, "type": null, "token": null, "installments": null, "statement_descriptor": null, "ticket_url": null, "barcode_content": null, "reference": null, "verification_code": null, "financial_institution": null, "digitable_line": null, "qr_code": null, "qr_code_base64": null, "e2e_id": null } } ], "chargebacks": [ { "id": "CBK01J67CQQH5904WDBVZEM4JMEP3", "transaction_id": "PAY01J67CQQH5904WDBVZEM4JMEP3", "case_id": "1234567890", "status": "in_process", "references": [ null ] } ], "refunds": [ { "id": "REF01KRH48XPG7HJSJ565BDTVPH2F", "transaction_id": "PAY01KRH40QE51CE0XVFJ9S40W88P", "reference_id": "01KRH48XW8BK3FA8XHBHKXZFFJ", "amount": "100.00", "status": "processed" } ] }, "items": [ { "external_code": "ITEM-001", "title": "Product 001", "description": "Product description", "category_id": "travels", "picture_url": "https://example.com/img.jpg", "quantity": 1, "unit_price": "1000.00", "type": "travel", "warranty": true, "event_date": "2014-06-28T16:53:03.176-04:00" } ], "config": { "online": { "callback_url": "https://www.example.com/", "success_url": "https://www.example.com/success", "failure_url": "https://www.example.com/failure", "pending_url": "https://www.example.com/pending", "available_from": "2026-05-16T18:32:00Z", "auto_return": "approved", "retries": { "allowed": false } }, "payment_method": { "max_installments": 12, "not_allowed_ids": [ "amex" ], "not_allowed_types": [ "ticket" ], "default_type": "credit_card", "installments_cost": "seller", "installments": { "interest_free": { "type": null, "values": null }, "available": { "type": null } } } } } ```